LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLinePolyPolygon2D Interface Reference

Specialized interface for a 2D poly-polygon containing only straight line segments. More...

`import"XLinePolyPolygon2D.idl";`

Inheritance diagram for XLinePolyPolygon2D:

## Public Member Functions
sequence< sequence< ::com::sun::star::geometry::RealPoint2D > > | getPoints ([in] long nPolygonIndex, [in] long nNumberOfPolygons, [in] long nPointIndex, [in] long nNumberOfPoints) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Query subset of this poly-polygon, starting at the given polygon and the given point within that polygon, and containing the specified number of polygons and points in the last polygon. More...
void | setPoints ([in] sequence< sequence< ::com::sun::star::geometry::RealPoint2D > > points, [in] long nPolygonIndex) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Set the specified sequence of points to the poly-polygon. More...
::com::sun::star::geometry::RealPoint2D | getPoint ([in] long nPolygonIndex, [in] long nPointIndex) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Get a single point from the poly-polygon. More...
void | setPoint ([in] ::com::sun::star::geometry::RealPoint2D point, [in] long nPolygonIndex, [in] long nPointIndex) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Set a single point on the poly-polygon. More...
Public Member Functions inherited from XPolyPolygon2D
void | addPolyPolygon ([in] ::com::sun::star::geometry::RealPoint2D position, [in] XPolyPolygon2D polyPolygon) raises (com::sun::star::lang::IllegalArgumentException)
| Add the specified poly-polygon at the given position. More...
long | getNumberOfPolygons ()
| Query number of polygons inside this poly-polygon. More...
long | getNumberOfPolygonPoints ([in] long polygon) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Query number of points inside given polygon. More...
FillRule | getFillRule ()
| Query the rule used to determine inside and outside of the poly-polygon. More...
void | setFillRule ([in] FillRule fillRule)
| Set the rule used to determine inside and outside of the poly-polygon. More...
boolean | isClosed ([in] long index) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Query whether the specified polygon outline is closed. More...
void | setClosed ([in] long index, [in] boolean closedState) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Set the close state of the specified polygon outline. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specialized interface for a 2D poly-polygon containing only straight line segments.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getPoint()

::com::sun::star::geometry::RealPoint2D getPoint | ( | [in] long | nPolygonIndex,
|  | [in] long | nPointIndex
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Get a single point from the poly-polygon.

## ◆ getPoints()

sequence< sequence< ::com::sun::star::geometry::RealPoint2D > > getPoints | ( | [in] long | nPolygonIndex,
|  | [in] long | nNumberOfPolygons,
|  | [in] long | nPointIndex,
|  | [in] long | nNumberOfPoints
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Query subset of this poly-polygon, starting at the given polygon and the given point within that polygon, and containing the specified number of polygons and points in the last polygon.

Parameters

  nPolygonIndex | The index number of the polygon to start with extracting points. Set to 0 to start with the first polygon.
  nNumberOfPolygons | The number of polygons, starting with nPolygonIndex, to extract points from. Set to -1 to extract all polygons, starting with nPolygonIndex (i.e. a total of getNumberOfPolygons() - nPolygonIndex polygons is extracted).
  nPointIndex | The index of the point within the first polygon (that with the index number nPolygonIndex) to start extraction with. Set to 0 to start with the first point in this polygon.
  nNumberOfPoints | The number of points in the last polygon of the extraction sequence, to be extracted. Set to -1 to extract all points from the last polygon.

## ◆ setPoint()

void setPoint | ( | [in] ::com::sun::star::geometry::RealPoint2D | point,
|  | [in] long | nPolygonIndex,
|  | [in] long | nPointIndex
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Set a single point on the poly-polygon.

The remaining points of the poly-polygon will not be changed by this method.

## ◆ setPoints()

void setPoints | ( | [in] sequence< sequence< ::com::sun::star::geometry::RealPoint2D > > | points,
|  | [in] long | nPolygonIndex
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Set the specified sequence of points to the poly-polygon.

This method can either set the whole poly-polygon to the new data, or insert the points at the given index

Parameters

  points | the points.
  nPolygonIndex | The index of the polygon to start point insertion with. This index must be in the range [0,numPolygons], and the insertion will take place before this position (i.e. when specifying 0 here, the given point sequence will precede all existing polygons already within the poly-polygon). To append to a poly-polygon, call setPoints() with XLinePolyPolygon2D::getNumberOfPolygons() as the polygon index. If nPolygonIndex is -1, the given sequence of points replaces the poly-polygon content, such that after this method completes, it contains exactly the specified point data.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if one of the given values exceed the permissible range.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XLinePolyPolygon2D.idl